<#--
  ~ iparapheur Keycloak
  ~ Copyright (C) 2022-2025 Libriciel-SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, version 3.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~
  ~ SPDX-License-Identifier: AGPL-3.0-only
  -->

<#import "template.ftl" as layout>

<#-- @ftlvariable name="url" type="java.lang.Object" -->

<@layout.registrationLayout displayInfo=true; section>


    <#-- The actual sections order is defined in the template.ftl file -->
    <#-- These are just blocks of injected code -->
    <#if section = "header">

        <p class="w-100 text-center">
            ${msg("emailForgotTitle")}
        </p>


    <#-- The actual sections order is defined in the template.ftl file -->
    <#-- These are just blocks of injected code -->
    <#elseif section = "form">

        <form action="${url.loginAction}" method="post">

            <label for="username">
                ${msg("forgotPasswordInstruction")}
            </label>

            <input class="form-control mt-2"
                   type="text"
                   id="username"
                   name="username"
                   autofocus
                   placeholder="Nom d'utilisateur"/>

            <div class="alert alert-info mt-3">
                <i class="fa fa-info-circle"></i>
                ${msg("emailInstruction")?no_esc}
            </div>

            <div class="mt-4 d-flex flex-row-reverse">

                <#-- Reset button -->
                <button class="btn btn-primary ms-2"
                        name="resetPassword">
                    <i class="fa fa-paper-plane fa-fw"></i>
                    ${msg("doSubmit")}
                </button>

                <#-- Reset password -->
                <a class="btn btn-light"
                   href="${url.loginUrl}">
                    <i class="fa fa-arrow-left"></i>
                    ${kcSanitize(msg("backToLogin"))?no_esc}
                </a>

            </div>
        </form>


    <#-- The actual sections order is defined in the template.ftl file -->
    <#-- These are just blocks of injected code -->
    <#elseif section = "info" >

    </#if>

</@layout.registrationLayout>
